final: prev:

# Changes to packages from nixpkgs

{
  blis = ((prev.blis.override {
    blas64 = true;
    withArchitecture = "generic";
  }).overrideAttrs (old: {
    nativeBuildInputs = (old.nativeBuildInputs or []) ++ [
      prev.buildPackages.gfortran
    ];
  })).overrideDerivation (old : {
    configureFlags = [
      "--enable-cblas"
      "--blas-int-size=64"
      "--enable-threading=openmp"
      #"--build=x86_64-unknown-linux-gnu"
      #"--host=riscv64-unknown-linux-gnu"
      "generic"
    ];
  });

  unalignedCheck = prev.stdenv.mkDerivation {
    name = "unaligned-check";
    src = ./unalign.c;
    unpackPhase = ''
      cp ${./unalign.c} unalign.c
    '';
    dontConfigure = true;
    buildPhase = ''
      $CC unalign.c -o unalign_check
    '';
    installPhase = ''
      mkdir -p $out/bin
      cp unalign_check $out/bin/
    '';
  };

  csrtool = prev.pkgsStatic.stdenv.mkDerivation {
    name = "csrtool";
    src = ./csrtool.c;
    unpackPhase = ''
      cp ${./csrtool.c} csrtool.c
    '';
    dontConfigure = true;
    buildPhase = ''
      $CC -static csrtool.c -o csrtool
    '';
    installPhase = ''
      mkdir -p $out/bin
      cp csrtool $out/bin/
    '';
  };

  memtool = prev.pkgsStatic.stdenv.mkDerivation {
    name = "memtool";
    src = ./memtool.c;
    unpackPhase = ''
      cp ${./memtool.c} memtool.c
    '';
    dontConfigure = true;
    buildPhase = ''
      $CC -static memtool.c -o memtool
    '';
    installPhase = ''
      mkdir -p $out/bin
      cp memtool $out/bin/
    '';
  };

  bitstreams = builtins.fetchGit {
    url = "git@bscpm03.bsc.es:rarias/bitstreams.git";
    rev = "ad901b0c21ffbdb310ff1dfb269f169f6ac6bde6";
  };
}
